#!/usr/bin/env python
# encoding: utf-8

# API modules
import json
from flask import Flask, request, jsonify

# Code modules
import functions

# App - Instance
app = Flask(__name__)

# Endpoints
@app.route('/wave', methods=['GET'])
def wave():
    try:
        # Get input variables from request
        x = float(request.args.get('x'))
        y = float(request.args.get('y'))

        # Execute python script
        z = functions.wave(x, y)

        response = {
        "x": x,
        "y": y,
        "z": z
        }

        return jsonify(response)

    except:
        print("Something else went wrong")

@app.route('/')
def index():
    return jsonify({'Error': 'Use a specific endpoint from this API :)'})

# App - Run (Use 'waitress' for production mode!)
if __name__ == "__main__":
    from waitress import serve
    serve(app, host="127.0.0.1", port=5003)